This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 866762 - Add User Management Features to Rest API
Add User Management Features to Rest API
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark Proctor
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 01:03 EDT by Jason Shepherd
Modified: 2013-11-07 17:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1958 Major Open Add User Management Features to Rest API 2013-11-11 06:33:58 EST
JBoss Issue Tracker PRODMGT-274 Major Pending Engineering Triage Add User Management Features to Rest API 2013-11-11 06:33:57 EST

  None (edit)
Description Jason Shepherd 2012-10-16 01:03:58 EDT
Description of problem:

We need a way to manage users and their roles via an API. The best option for us would be to use the existing Rest API. We would like to be able to use all the features org.drools.repository.security.PermissionManager, that is, all those available in Guvnor.

Version-Release number of selected component (if applicable):

Guvnor 5.3
Comment 3 Geoffrey De Smet 2013-03-05 08:40:14 EST
Reassign to the guvnor team, now that I am working full time on planner. So these issues aren't forgotten.

Note You need to log in before you can comment on or make changes to this bug.